From a96f61c95202e95f21b61bb39dd3f5f0cf26135e Mon Sep 17 00:00:00 2001
From: kjtdimuthu <kjtdimuthu@gmail.com>
Date: Apr 24 2016 15:01:42 +0000
Subject: [PATCH 440/1001] A footer for is added with request button in meeting widget


---

diff --git a/hubs/widgets/chrome.py b/hubs/widgets/chrome.py
index 1d5e126..717e047 100755
--- a/hubs/widgets/chrome.py
+++ b/hubs/widgets/chrome.py
@@ -7,19 +7,23 @@ _panel_heading_template = templating.environment.get_template(
     'templates/panel_heading.html')
 
 
-def panel(title=None, klass="card-default", key=None):
+def panel(title=None, klass="panel-default", key=None, footer_template=None):
     def decorator(func):
         @wraps(func)
         def inner(*args, **kwargs):
             heading = ''
+            footer = ''
             if title:
                 heading = _panel_heading_template.render(title=title)
+            if footer_template:
+                footer = footer_template.render(**kwargs)
             content = func(*args, **kwargs)
             if key and not kwargs.get(key):
                 return content
             return _panel_template.render(
                 content=content,
                 heading=heading,
+                footer=footer,
                 klass=klass(kwargs) if callable(klass) else klass,
                 **kwargs)
         return inner
diff --git a/hubs/widgets/meetings.py b/hubs/widgets/meetings.py
index 87edcb8..3a40832 100755
--- a/hubs/widgets/meetings.py
+++ b/hubs/widgets/meetings.py
@@ -51,7 +51,8 @@ def next_meeting(meetings):
     return None
 
 
-chrome = panel('Reminders', key='meetings')
+footer_template = templating.environment.get_template('templates/meeting_footer.html')
+chrome = panel(title = 'Reminders', key='meetings', footer_template=footer_template)
 templating.environment.filters['humanize'] = lambda d: arrow.get(d).humanize()
 template = templating.environment.get_template('templates/meetings.html')
 
